// Chrono68k v0.51
// CopyLeft by Jonas Gehring & Ilidio Martins

// C Source File
// Created 17.11.04; 14:46:08


#include <graph.h>						// Common (non-windowed) graphic routines
#include <stdio.h>						// ANSI-compatible file and TTY input/output routines
#include <compat.h>						// Various calc-dependent and AMS-dependent pseudo-constants
#include <kbd.h>							// Keyboard handling routines
#include <string.h>
#include "extgraph.h"					// Include ExtGraph Library v2.00beta3 by TI-Chess Team

#include "chrono68k.h"
#include "analog.h"
#include "day_week.h"




// Draws the background for the analog clock
void DrawClock(void)
{
	short i;
	signed int x, y;

	ClearGrayScreen();

	// Draw the clock onto the screen
	for (i = 0; i < 3; i++)
		GraySprite32_XOR(LCD_WIDTH/2-(96/2)+(i*32), LCD_HEIGHT/2-(96/2), TILEHEIGHT_CLOCK, TILEADDR_CLOCK(LIGHT_PLANE, i), 
										 TILEADDR_CLOCK(DARK_PLANE, i),  GrayGetPlane(DARK_PLANE), GrayGetPlane(LIGHT_PLANE));
	
	for (i = 0; i < 12; i++) {
		x = LCD_WIDTH/2 + (int)xpos[i*5]*1.05;
		y = LCD_HEIGHT/2 + (int)ypos[i*5]*1.05;
		
		EXT_SETPIX(GrayGetPlane(DARK_PLANE), x, y);
		EXT_SETPIX(GrayGetPlane(LIGHT_PLANE), x, y);
	}
	
}


// Display the time in analog format
void DisplayTimeAnalog(void)
{
	signed int posxt, posyt, posx, posy;
	short chour, chourt;

	// Get positions
	posx = LCD_WIDTH/2 + xpos[seco];
	posy = LCD_HEIGHT/2 + ypos[seco];
	posxt = LCD_WIDTH/2 + xpos[secot];
	posyt = LCD_HEIGHT/2 + ypos[secot];
	
	// Draw the hand for the seconds
	GrayFastDrawLine(LCD_WIDTH/2, LCD_HEIGHT/2, posxt, posyt, COLOR_LIGHTGRAY);
	GrayFastDrawLine(LCD_WIDTH/2, LCD_HEIGHT/2, posx, posy, COLOR_WHITE);
	
	// Draw the hand for the minutes
	if (minu != minut) {
		posx = LCD_WIDTH/2 + (int)xpos[minu]*0.928;
		posy = LCD_HEIGHT/2 + (int)ypos[minu]*0.928;
		posxt = LCD_WIDTH/2 + (int)xpos[minut]*0.928;
		posyt = LCD_HEIGHT/2 + (int)ypos[minut]*0.928;
		// Draw the hand for the minutes
		GrayFastDrawLine(LCD_WIDTH/2, LCD_HEIGHT/2, posxt, posyt, COLOR_LIGHTGRAY);
		GrayFastDrawLine(LCD_WIDTH/2, LCD_HEIGHT/2, posx, posy, COLOR_DARKGRAY);
		} else if (minu == minut) {
		posx = LCD_WIDTH/2 + (int)xpos[minu]*0.928;
		posy = LCD_HEIGHT/2 + (int)ypos[minu]*0.928;
		GrayFastDrawLine(LCD_WIDTH/2, LCD_HEIGHT/2, posx, posy, COLOR_DARKGRAY);	
	}
	
	chour = hour;
	chourt = hourt;
		
	if (chour > 11)
		chour -= 12;
	
	if (chourt > 11)
		chourt -= 12;

	// Draw the hand for the hours
	if (hour != hourt) {
		posx = LCD_WIDTH/2 + (int)xpos[chour*5]*0.75;
		posy = LCD_HEIGHT/2 + (int)ypos[chour*5]*0.75;
		posxt = LCD_WIDTH/2 + (int)xpos[chourt*5]*0.75;
		posyt = LCD_HEIGHT/2 + (int)ypos[chourt*5]*0.75;
		// Draw the hand for the hours
		GrayFastDrawLine(LCD_WIDTH/2, LCD_HEIGHT/2, posxt, posyt, COLOR_LIGHTGRAY);
		GrayFastDrawLine(LCD_WIDTH/2, LCD_HEIGHT/2, posx, posy, COLOR_BLACK);
	}	else if (hour == hourt) {
		posx = LCD_WIDTH/2 + (int)xpos[chour*5]*0.75;
		posy = LCD_HEIGHT/2 + (int)ypos[chour*5]*0.75;
		GrayFastDrawLine(LCD_WIDTH/2, LCD_HEIGHT/2, posx, posy, COLOR_BLACK);
	}
	
	// Display the date
	draw_day_week();
}