// Chrono68k v0.51
// CopyLeft by Jonas Gehring & Ilidio Martins

// Header File
// Created 15.11.04; 21:43:31
#ifndef CHRONO_H
#define CHRONO_H


#include <asmtypes.h>						// Common type definitions known to ASM programmers


/*_________________________Definitions etc._________________________*/
#define VERSION "v0.51"

enum TimeModes {ANALOG, DIGITAL};



/*____________________________Globals_______________________________*/
// Globqal variables for the actual time & for the stopwatch
volatile unsigned short seco , minu, hour;
volatile unsigned short secot, minut, hourt;
volatile unsigned short stopss, stops, stopm;
unsigned short month_, day_ , year_;

// We have do define this handler global because of the time input
INT_HANDLER save_int_1;



/*_______________________Funtion proto-types_________________________*/
// main.c
void ClearQueue(void);									// Clears the keyboard queue
void TimeInput(void);										// Get the current time
CALLBACK void CountTime(void);					// The Counter
CALLBACK void StopTime(void);						// The Counter for the stop watch
void SetTimeFormat(void);								// Sets the format of the Time (analog or digital)
void InitScreen(void);									// Restores the screen with a clock running
void _main(void);												// Main Function (program entry point)

// analog.c
void DrawClock(void);										// Draws the background for the analog clock
void DisplayTimeAnalog(void);						// Displays the time in analog format

// digital.c
void DrawDigits(short ord);							// Draws two digits onto the screen
void DisplayTimeDigital(BOOL mode);			// Display the time in digital format

// menu.c
void DrawMenu(BOOL mode);								// Draws the menu
void AboutScreen(void);									// The About-Screen
void SetTime(void);											// Sets the actual time of the TIClock
BOOL Menu(void);												// The menu

// loadsave.c
void SaveToFile(BOOL *data);						// Saves the settings to the file "chrsets.cnfg"
BOOL *LoadFromFile(void);								// Gets data from the file "chrsets.cnfg"

#endif